#!/bin/dash

/usr/sbin/greylist || exit 0

exec $@
echo "greylist-wrapper: err exec failed $?" >&2
echo -n "450 temporary problem - failed to start next process\012\015"

# This script runs the greylist program and, depending on its exit value, 
# either runs the arguments given to it (namely, qmail-smtpd), or exits
# with value 0 (if the greylist program handled the conversation already).
#
# This hack is needed to allow /usr/sbin/greylist to run independantly
# instead of it exec'ing into qmail-smtpd. (That would require greylist
# to be continually re-INITed as speedy creates new instances.)
# 
# Japheth Cleaver <cleaver@rohan.sdsu.edu>
